Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream.util
Class XMLInputOutputStreamBase

    java.lang.Object
      |
      +--weblogic.xml.stream.util.XMLInputOutputStreamBase

public class XMLInputOutputStreamBase
extends java.lang.Object
implements XMLInputOutputStream

This object provides an I/O stream

Version:
  1.0
See Also:
  `XMLInputStream`, `XMLOutputStream`

Field Summary
`protected weblogic.utils.collections.CircularQueue` | `elementQ`
`protected weblogic.xml.stream.events.StartElementEvent` | `lastStartElement`
`protected ReferenceResolver` | `resolver`

Constructor Summary
`XMLInputOutputStreamBase()`

Method Summary
`void` | `add(Attribute attribute)` This method is only supported if the last element was a start element.
`void` | `add(java.lang.String markup)`
`void` | `add(XMLEvent e)`
`void` | `add(XMLInputStream stream)`
`void` | `close()`
`void` | `close(boolean flush)`
`void` | `flush()`
`ReferenceResolver` | `getReferenceResolver()`
`XMLInputStream` | `getSubStream()`
`boolean` | `hasNext()`
`static void` | `main(java.lang.String[] args)`
`protected boolean` | `matchName(XMLName name1, XMLName name2)`
`XMLEvent` | `next()`
`XMLEvent` | `peek()`
`void` | `setReferenceResolver(ReferenceResolver resolver)`
`void` | `skip()`
`boolean` | `skip(int elementType)`
`boolean` | `skip(XMLName name)`
`boolean` | `skip(XMLName name, int elementType)`
`void` | `skipElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elementQ

    protected weblogic.utils.collections.CircularQueue elementQ

### lastStartElement

    protected weblogic.xml.stream.events.StartElementEvent lastStartElement

### resolver

    protected ReferenceResolver resolver

Constructor Detail

### XMLInputOutputStreamBase

    public XMLInputOutputStreamBase()

Method Detail

### add

    public void add(XMLEvent e)
             throws XMLStreamException

### add

    public void add(Attribute attribute)
             throws XMLStreamException

  This method is only supported if the last element was a start element.

### add

    public void add(XMLInputStream stream)
             throws XMLStreamException

### add

    public void add(java.lang.String markup)
             throws XMLStreamException

### flush

    public void flush()
               throws XMLStreamException

### next

    public XMLEvent next()
                  throws XMLStreamException

### hasNext

    public boolean hasNext()
                    throws XMLStreamException

### skip

    public void skip()
              throws XMLStreamException

### skipElement

    public void skipElement()
                     throws XMLStreamException

### peek

    public XMLEvent peek()
                  throws XMLStreamException

### skip

    public boolean skip(int elementType)
                 throws XMLStreamException

### matchName

    protected boolean matchName(XMLName name1,
                                XMLName name2)

### skip

    public boolean skip(XMLName name)
                 throws XMLStreamException

### skip

    public boolean skip(XMLName name,
                        int elementType)
                 throws XMLStreamException

### getSubStream

    public XMLInputStream getSubStream()
                                throws XMLStreamException

### close

    public void close()
               throws XMLStreamException

### close

    public void close(boolean flush)
               throws XMLStreamException

### setReferenceResolver

    public void setReferenceResolver(ReferenceResolver resolver)

### getReferenceResolver

    public ReferenceResolver getReferenceResolver()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference